/* ***************
Desc: Installation script
Modified version of Chris Pederick installscript from WD.
Author: Jed Brown (jedbro@gmx.net)
Nicked off Jed for use in SpellBound - thanks!
****************** */
const author              = "Robert Strong";
const displayName         = "SpellBound";
const name                = "spellbound";
const version             = "0.7.3";
var contentFlag           = CONTENT | PROFILE_CHROME;
var error                 = null;
var folder                = getFolder("Profile", "chrome");
var localeFlag            = LOCALE | PROFILE_CHROME;
var skinFlag              = SKIN | PROFILE_CHROME;
var jarName               = name + ".jar";
var existsInApplication   = File.exists(getFolder(getFolder("chrome"), jarName));
var existsInProfile       = File.exists(getFolder(folder, jarName));
const SUCCESS_MESSAGE     = "You will need to restart your browser to complete the installation.";

initInstall(displayName, name, version);

// If the extension exists in the application folder or it doesn't exist in the profile folder and the user doesn't want it installed to the profile folder
if(existsInApplication || (!existsInProfile && !confirm("Do you want to install the extension into your profile folder?\n(Cancel will install into the application folder)")))
{
    contentFlag = CONTENT | DELAYED_CHROME;
    folder      = getFolder("chrome");
    localeFlag  = LOCALE | DELAYED_CHROME;
    skinFlag    = SKIN | DELAYED_CHROME;
}

setPackageFolder(folder);
error = addFile(author, version, "chrome/" + jarName, folder, null);

if(error == SUCCESS)
{
    folder = getFolder(folder, jarName);
    registerChrome(contentFlag, folder, "content/spellbound/");
    registerChrome(localeFlag, folder, "locale/en-US/spellbound/");
    registerChrome(localeFlag, folder, "locale/af-ZA/spellbound/");
    registerChrome(localeFlag, folder, "locale/ar-SA/spellbound/");
    registerChrome(localeFlag, folder, "locale/ast-ES/spellbound/");
    registerChrome(localeFlag, folder, "locale/be-BY/spellbound/");
    registerChrome(localeFlag, folder, "locale/bg-BG/spellbound/");
    registerChrome(localeFlag, folder, "locale/br-FR/spellbound/");
    registerChrome(localeFlag, folder, "locale/ca-AD/spellbound/");
    registerChrome(localeFlag, folder, "locale/cs-CZ/spellbound/");
    registerChrome(localeFlag, folder, "locale/cy-GB/spellbound/");
    registerChrome(localeFlag, folder, "locale/da-DK/spellbound/");
    registerChrome(localeFlag, folder, "locale/de-AT/spellbound/");
    registerChrome(localeFlag, folder, "locale/el-GR/spellbound/");
    registerChrome(localeFlag, folder, "locale/en-GB/spellbound/");
    registerChrome(localeFlag, folder, "locale/eo-EO/spellbound/");
    registerChrome(localeFlag, folder, "locale/es-ES/spellbound/");
    registerChrome(localeFlag, folder, "locale/et-EE/spellbound/");
    registerChrome(localeFlag, folder, "locale/eu-ES/spellbound/");
    registerChrome(localeFlag, folder, "locale/fa-IR/spellbound/");
    registerChrome(localeFlag, folder, "locale/fi-FI/spellbound/");
    registerChrome(localeFlag, folder, "locale/fr-FR/spellbound/");
    registerChrome(localeFlag, folder, "locale/gl-ES/spellbound/");
    registerChrome(localeFlag, folder, "locale/he-IL/spellbound/");
    registerChrome(localeFlag, folder, "locale/hsb-DE/spellbound/");
    registerChrome(localeFlag, folder, "locale/hu-HU/spellbound/");
    registerChrome(localeFlag, folder, "locale/it-IT/spellbound/");
    registerChrome(localeFlag, folder, "locale/ja-JP/spellbound/");
    registerChrome(localeFlag, folder, "locale/ko-KR/spellbound/");
    registerChrome(localeFlag, folder, "locale/lt-LT/spellbound/");
    registerChrome(localeFlag, folder, "locale/mk-MK/spellbound/");
    registerChrome(localeFlag, folder, "locale/mn-MN/spellbound/");
    registerChrome(localeFlag, folder, "locale/nb-NO/spellbound/");
    registerChrome(localeFlag, folder, "locale/nl-NL/spellbound/");
    registerChrome(localeFlag, folder, "locale/nn-NO/spellbound/");
    registerChrome(localeFlag, folder, "locale/nso-ZA/spellbound/");
    registerChrome(localeFlag, folder, "locale/pl-PL/spellbound/");
    registerChrome(localeFlag, folder, "locale/pt-BR/spellbound/");
    registerChrome(localeFlag, folder, "locale/pt-PT/spellbound/");
    registerChrome(localeFlag, folder, "locale/ro-RO/spellbound/");
    registerChrome(localeFlag, folder, "locale/ru-RU/spellbound/");
    registerChrome(localeFlag, folder, "locale/sk-SK/spellbound/");
    registerChrome(localeFlag, folder, "locale/sl-SI/spellbound/");
    registerChrome(localeFlag, folder, "locale/sv-SE/spellbound/");
    registerChrome(localeFlag, folder, "locale/ta-IN/spellbound/");
    registerChrome(localeFlag, folder, "locale/tr-TR/spellbound/");
    registerChrome(localeFlag, folder, "locale/uk-UA/spellbound/");
    registerChrome(localeFlag, folder, "locale/ur-PK/spellbound/");
    registerChrome(localeFlag, folder, "locale/wen-DE/spellbound/");
    registerChrome(localeFlag, folder, "locale/zh-CN/spellbound/");
    registerChrome(localeFlag, folder, "locale/zh-TW/spellbound/");
    registerChrome(skinFlag, folder, "skin/classic/spellbound/");

    error = performInstall();

    // If the install succeeded
    if(error == SUCCESS || error == 999)
    {
      alert(displayName+" "+version+" has been succesfully installed.\n"+SUCCESS_MESSAGE);
    }else{
      alert("Install failed. Error code:" + error);
      cancelInstall(error);
    }
}
else
{
	alert("The installation of the extension failed.\n" + error + "\n Failed to create " +jarName+ " \n"
	      +"Make sure you have the correct permissions");
	cancelInstall(error);
}
